Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Rectangle2D

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  Rectangle2DImpl

    public interface Rectangle2D

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Rectangle2 D'.

The following features are supported:

- `X`
- `Y`
- `Width`
- `Height`

See Also:
  `GMFGraphPackage.getRectangle2D()`
** Generated **
Model:

Method Summary
`float` `getHeight()` Returns the value of the 'Height' attribute
`float` `getWidth()` Returns the value of the 'Width' attribute
`float` `getX()` Returns the value of the 'X' attribute
`float` `getY()` Returns the value of the 'Y' attribute
`void` `setHeight(float value)` Sets the value of the '`Height`' attribute
`void` `setWidth(float value)` Sets the value of the '`Width`' attribute
`void` `setX(float value)` Sets the value of the '`X`' attribute
`void` `setY(float value)` Sets the value of the '`Y`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getX

    float getX()

  Returns the value of the 'X' attribute.

  If the meaning of the 'X' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'X' attribute.
  See Also:
    `setX(float)`, `GMFGraphPackage.getRectangle2D_X()`
  ** Generated **
  Model:

### setX

    void setX(float value)

  Sets the value of the '`X`' attribute.

  Parameters:
    `value` - the new value of the 'X' attribute.
  See Also:
    `getX()`
  ** Generated **

### getY

    float getY()

  Returns the value of the 'Y' attribute.

  If the meaning of the 'Y' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Y' attribute.
  See Also:
    `setY(float)`, `GMFGraphPackage.getRectangle2D_Y()`
  ** Generated **
  Model:

### setY

    void setY(float value)

  Sets the value of the '`Y`' attribute.

  Parameters:
    `value` - the new value of the 'Y' attribute.
  See Also:
    `getY()`
  ** Generated **

### getWidth

    float getWidth()

  Returns the value of the 'Width' attribute.

  If the meaning of the 'Width' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Width' attribute.
  See Also:
    `setWidth(float)`, `GMFGraphPackage.getRectangle2D_Width()`
  ** Generated **
  Model:

### setWidth

    void setWidth(float value)

  Sets the value of the '`Width`' attribute.

  Parameters:
    `value` - the new value of the 'Width' attribute.
  See Also:
    `getWidth()`
  ** Generated **

### getHeight

    float getHeight()

  Returns the value of the 'Height' attribute.

  If the meaning of the 'Height' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Height' attribute.
  See Also:
    `setHeight(float)`, `GMFGraphPackage.getRectangle2D_Height()`
  ** Generated **
  Model:

### setHeight

    void setHeight(float value)

  Sets the value of the '`Height`' attribute.

  Parameters:
    `value` - the new value of the 'Height' attribute.
  See Also:
    `getHeight()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.